MacDraftParserInternal::State Struct Reference

Internal: the state of a MacDraftParser. More...

## Public Member Functions

| State ()
| constructor
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pat)
| returns a pattern if posible
void | initPatterns ()
| init the patterns list

## Public Attributes

int | m_version
| the file version
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list
std::vector< Shape > | m_shapeList
| the shapes list
std::map< unsigned long, BitmapFileData > | m_idToBitmapMap
| map id to bitmap file data

## Detailed Description

Internal: the state of a MacDraftParser.

## Constructor & Destructor Documentation

## State()

MacDraftParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getPattern()

bool MacDraftParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat )

inline

returns a pattern if posible

## initPatterns()

void MacDraftParserInternal::State::initPatterns | ( |  | ) |

init the patterns list

Referenced by getPattern().

## Member Data Documentation

## m_idToBitmapMap

std::map<unsigned long, BitmapFileData> MacDraftParserInternal::State::m_idToBitmapMap

map id to bitmap file data

Referenced by State().

## m_patternList

std::vector<MWAWGraphicStyle::Pattern> MacDraftParserInternal::State::m_patternList

the patterns list

Referenced by getPattern(), initPatterns(), and State().

## m_shapeList

std::vector<Shape> MacDraftParserInternal::State::m_shapeList

the shapes list

Referenced by State().

## m_version

int MacDraftParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MacDraftParser.cxx